#pragma once

#include <saas/rtyserver/indexer_core/normalizer.h>

class TPrepNormalizer: public NRTYServer::INormalizer {
public:
    class TImpl;

public:
    TPrepNormalizer(const TRTYServerConfig& config);
    ~TPrepNormalizer();

    virtual const char* Name() const override;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& /* indexFrq */) const override;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& /* indexFrq */) const override;

private:
    THolder<TImpl> Impl;
};
